<?php
	echo '<h1>CODE PHP</h1>';
	highlight_file(basename(__FILE__));
	echo '<h1>RESULTATS</h1>';

	include("fonctionsTableau.php");

	// on crée le tableau ici : il est vide et pourra être passé en paramètre au fonctions.
	// ce ,'est pas obligé mais c'est plus clair 
	$lesUtilisateurs=array();

	// initialisation d'un tableau d'utilisateurs
	initTab($lesUtilisateurs);	

	// affichage du tableau avec un print_r
	echo '<h2>affichage avec un print_r</h2>';
	afficherTabPrint_r($lesUtilisateurs);

	// affichage du tableau avec un for
	echo '<h2>affichage avec un for</h2>';
	afficherTabFor($lesUtilisateurs);

	// affichage du tableau avec un foreach
	echo '<h2>affichage avec un foreach</h2>';
	afficherTabForeach($lesUtilisateurs);

	// affichage du tableau d'une façon stylé
	// afficherTabStyle($lesUtilisateurs);

	// affichage du tableau trié par nom
	triTabNom($lesUtilisateurs);
	echo '<h2>affichage trié par nom : </h2>';
	afficherTabForeach($lesUtilisateurs);

	// affichage du tableau trié par age décroissant
	$tri='age';
	triTab($lesUtilisateurs, $tri, SORT_DESC);
	echo '<h2>affichage trié par '.$tri.' décroissant : </h2>';
	afficherTabForeach($lesUtilisateurs);

	// affichage du tableau trié par nom décroissant
	$tri='nom';
	triTab($lesUtilisateurs, $tri, SORT_DESC);
	echo '<h2>affichage trié par '.$tri.' décroissant : </h2>';
	afficherTabForeach($lesUtilisateurs);

	// affichage du tableau trié par age croissant et nom décroissant
	$tri1='age';
	$tri2='nom';
	triTab2($lesUtilisateurs, $tri1, SORT_ASC, $tri2, SORT_DESC);
	echo '<h2>affichage trié par '.$tri1.' croissant et '.$tri2.' décroissant : </h2>';
	afficherTabForeach($lesUtilisateurs);
?>